XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

When a reader is instantiated, the read state is set to . When the method is called, the read state is changed to . If an error occurs during a read operation, the read state is changed to . When the end of the XML data is reached, the read state is set to . When the method is called, the read state is set to .

Specifies the state of the reader.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.ReadState Closed To be added.

  The method has been called.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.ReadState EndOfFile To be added.

  The end of the file has been reached successfully.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.ReadState Error To be added.

  An error occurred that prevents the read operation from continuing.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.ReadState Initial To be added.

  The Read method has not been called.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.ReadState Interactive To be added.

  The Read method has been called. Additional methods may be called on the reader.

  0
0